Subject: Bug#62: [X2Go-Dev] Bug#62: gnome-control-center crashes

From: Mike Gabriel <[email-masked]>
Date: Fri, 15 May 2015 12:25:46 +0000

Control: tags -1 moreinfo

HI again,

On  Do 19 Mär 2015 11:18:45 CET, Yvan.Broccard wrote:

> We're encountering the same problem here.
>
> gnome-control-center
>
> (gnome-control-center:28288): Gdk-WARNING **: The program  
> 'gnome-control-center' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'BadLength (poly request too large or internal Xlib  
> length erro'.
>   (Details: serial 153 error_code 16 request_code 147 minor_code 1)
>   (Note to programmers: normally, X errors are reported asynchronously;
>    that is, you will receive the error a while after causing it.
>    To debug your program, run it with the GDK_SYNCHRONIZE environment
>    variable to change this behavior. You can then get a meaningful
>    backtrace from your debugger if you break on the gdk_x_error() function.)

I actually just tested this on a Debian jessie X2Go Server.

I use MATE desktop, so I launched gnome-control-center inside the MATE  
session from the command line.

If GLX in x2goagent is disabled [1], then gnome-control-center  
launches successfully.

If GLX in x2goagent is enabled, then gnome-control-center crashes,  
because it cannot load clutter. This, however, I consider a bug in  
gnome-control-center. If a GNOME application cannot load clutter due  
to lack of sufficient GLX support, the GNOME application (i.e.,  
gnome-control-center) should fall-back to a non-GLX mode.

Could you provide the exact steps for reproducing this issue?

Thanks,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb